r.bitpattern(1)

NAME
r.bitpattern - Compares bit patterns with a raster map

KEYWORDS
raster

SYNOPSIS
r.bitpattern
r.bitpattern help
r.bitpattern [-q] input=name output=name pattern=integer patval=integer [--overwrite]

  Flags:

-q  Quiet

--overwrite

  Parameters:

input=name
    Name of input raster map

output=name
    Name for output raster map

pattern=integer
    Bit pattern position(s)

patval=integer
    Bit pattern value

DESCRIPTION
r.bitpattern performs bit pattern comparisons. The module can be used to pixelwise verify a satellite image for low quality pixels if a Quality Control Bit Index map is provided (e.g. as for MODIS sensor maps). The functionality is two-fold:

    define position: set bit(s) to 1 which shall match, then convert this position pattern to integer, set pattern= parameter with that integer value

    define pattern *value* which should be in that position: first bit pattern of value, convert to integer, set patval= parameter

If several bitpatterns have to be tested, the resulting maps can be used to exclude low quality pixel in the input satellite image using r.mapcalc (OR and NOT operators).

EXAMPLE

    define position:
        xx xx 1x xx
        binary: 1000 -> integer: 8 -> pattern=8

    define value:
            Ex.: we want to check for 0 in that position
        xx xx 0x xx
        binary: 0000 -> integer: 0 -> patval=0
            if value can be arbitray (0/1), then assume 0 value

SEE ALSO
r.mapcalc

AUTHORS
Radim Blazek, Markus Neteler

Last changed: $Date: 2005/08/10 09:15:03 $

Full index